#
# spec file for package sparse (Version 0.4.1.git1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sparse
Summary:        A semantic parser of source files
License:        Other uncritical OpenSource License
Group:          Development/Tools/Building
Version:        0.4.1.git1
Release:        1.5
%define gitrev	8f208e215a531d2b32aec0428fd5eaa24ae3100b
AutoReqProv:    on
Url:            http://kernel.org/pub/linux/kernel/people/josh/sparse/
Source:         http://kernel.org/pub/linux/kernel/people/josh/sparse/dist/sparse-%{gitrev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux
kernel.



Authors:
--------
    Linus Torvalds
    Josh Triplett

%prep
%setup -q -n sparse

%build
make PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir} CFLAGS="%{optflags}"

%install
make install DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir}
# remove devel files
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}

%files
%defattr(-,root,root)
%doc LICENSE README FAQ
%{_mandir}/man?/*
%{_bindir}/*

%changelog
* Wed Sep 24 2008 jeffm@suse.com
- updated to 0.4.1.git1:
  * This snapshot corresponds to
    git commit 8f208e215a531d2b32aec0428fd5eaa24ae3100b.
  * lots of fixes - see
    http://git.kernel.org/?p=devel/sparse/sparse.git;a=shortlog
* Thu Jun 26 2008 tiwai@suse.de
- updated to version 0.4.1:
  * lots of fixes/improvements - see
    http://www.kernel.org/pub/software/devel/sparse/news.html
* Tue Nov 14 2006 agruen@suse.de
- Initial package.
